﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace LineChartExample {
  public partial class Form1 : Form {
    public Form1() {
      InitializeComponent();
    }

    private void Form1_Load(object sender, EventArgs e) {
      // Add just 1 column
      ultraDataSource1.Band.Columns.Add("Column1", typeof(float));
      // Add rows for the chart
      ultraDataSource1.Rows.Add(new object[] { 20 });
      ultraDataSource1.Rows.Add(new object[] { 15 });
      ultraDataSource1.Rows.Add(new object[] { 10 });
      ultraDataSource1.Rows.Add(new object[] { 5 });

      // Bind both charts to the same datasource
      ultraChart1.DataSource = ultraDataSource1;
      ultraChart2.DataSource = ultraDataSource1;
    }

    private void ultraButton1_Click(object sender, EventArgs e) {
      if (ultraDataSource1.Band.Columns.Count <= 1) {
        // Add a column. The two charts are now the same (except for the filling of course)
        ultraDataSource1.Band.Columns.Add("Column2", typeof(float));
        ultraDataSource1.Rows[0].SetCellValue(1, 20);
        ultraDataSource1.Rows[1].SetCellValue(1, 15);
        ultraDataSource1.Rows[2].SetCellValue(1, 10);
        ultraDataSource1.Rows[3].SetCellValue(1, 5);
      } else {
        // Remove second column
        ultraDataSource1.Band.Columns.RemoveAt(1);
      }
    }
  }
}
